ConstraintEvaluatorAdapter (Grails 5.2.4)

Package: org.grails.plugins.domain.support

## [Java] Class ConstraintEvaluatorAdapter

- org.grails.plugins.domain.support.ConstraintEvaluatorAdapter

- All Implemented Interfaces and Traits:
    ConstraintsEvaluator

      public class ConstraintEvaluatorAdapter
      extends java.lang.Object
      implements ConstraintsEvaluator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstraintEvaluatorAdapter (org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator constraintsEvaluator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls)`
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls, boolean defaultNullable)`
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure adHocConstraintsClosures)`
    `` | `public java.util.Map<java.lang.String, java.lang.Object>` | `getDefaultConstraints()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ConstraintEvaluatorAdapter(org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator constraintsEvaluator)

  - ### Method Detail

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class cls)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class cls, boolean defaultNullable)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure adHocConstraintsClosures)

    - #### @java.lang.Override public java.util.Map<java.lang.String, java.lang.Object> getDefaultConstraints()